## org.eclipse.emf.converter.util
Class ConverterUIUtil.TreeCheckStateManager

    java.lang.Object
      org.eclipse.emf.converter.util.ConverterUIUtil.TreeCheckStateManager

All Implemented Interfaces:
  Listener

Enclosing class:
  ConverterUIUtil

    public static class ConverterUIUtil.TreeCheckStateManager

extends java.lang.Object
implements Listener

Field Summary
`protected boolean` `internalChange`
`protected Tree` `tree`

Constructor Summary
`ConverterUIUtil.TreeCheckStateManager(Tree tree)`

Method Summary
`protected void` `checkChildren(TreeItem item, boolean check)`
`protected void` `checkStateChanged(TreeItem item, boolean changeChildren)`
`protected Event` `createCheckEvent(TreeItem item)`
`protected void` `grayParents(TreeItem item)`
`void` `handleEvent(Event event)`
`protected void` `setCheck(TreeItem item, boolean check)`
`protected void` `setGray(TreeItem item, boolean gray)`
`protected void` `treeDisposed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    protected Tree tree

### internalChange

    protected boolean internalChange

Constructor Detail

### ConverterUIUtil.TreeCheckStateManager

    public ConverterUIUtil.TreeCheckStateManager(Tree tree)

Method Detail

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`

### checkStateChanged

    protected void checkStateChanged(TreeItem item,
                                     boolean changeChildren)

### treeDisposed

    protected void treeDisposed()

### grayParents

    protected void grayParents(TreeItem item)

### checkChildren

    protected void checkChildren(TreeItem item,
                                 boolean check)

### setCheck

    protected void setCheck(TreeItem item,
                            boolean check)

### createCheckEvent

    protected Event createCheckEvent(TreeItem item)

### setGray

    protected void setGray(TreeItem item,
                           boolean gray)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.